#!/bin/bash

ARG1=$1
NAMESPACE=$(cat namespace)
TRIVY_VERSION=0.11.0

kubectl create namespace $NAMESPACE \
  --dry-run=client \
  -o yaml | \
  kubectl -f - apply


helm repo add aquasecurity https://aquasecurity.github.io/helm-charts/
helm repo update
helm upgrade --install \
  trivy-server aquasecurity/trivy \
  -f values.yml \
  --version $TRIVY_VERSION \
  --namespace=$NAMESPACE



